{
  "compilerOptions": {
    // Enable latest features
    "lib": ["ESNext"],
    "target": "ESNext",
    "module": "NodeNext",
    "moduleDetection": "force",
    "jsx": "react-jsx",
    // "allowJs": true,

    // Bundler mode
    "moduleResolution": "NodeNext",
    // "allowImportingTsExtensions": true,
    "verbatimModuleSyntax": true,
    // "noEmit": true,
    "typeRoots": ["./node_modules/@types", "./typings"],

    // Best practices
    "strict": true,
    "skipLibCheck": true,
    "noFallthroughCasesInSwitch": true,

    // Some stricter flags (disabled by default)
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "noPropertyAccessFromIndexSignature": false,

    // Build
    "outDir": "./dist",
    "declaration": true,
    "sourceMap": true
  },

  "include": ["./src", "./typings"]
}
